Quassel IRC - Bug #812

Nick completion could allow some chars right infront of the nick
09/21/2009 12:23 AM - seezer

Status: Resolved Start date: 09/20/2009
Priority: Low Due date:

Assignee: seezer % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

Only try to complete -_[I{}\|'".

Associated revisions

Revision 819082c619002505e9f2492{7fc75991768e719c - 09/21/2009 01:38 PM - seezer

Allow tab completion of nicks after various chars

This allows nick completion after @ or ( and some more.
Completion doesn't work after -_[){}|"*.\ or any number or text
as those might belong to the nick and we still want support
for easy completion of "A"w3s0m3_N1x}

Fixes #812

Revision 819082c6 - 09/21/2009 01:38 PM - seezer

Allow tab completion of nicks after various chars

This allows nick completion after @ or ( and some more.
Completion doesn't work after -_[{}|"*.\ or any number or text
as those might belong to the nick and we still want support

for easy completion of "A"w3s0m3_N1x}

Fixes #812

History

#1 - 09/21/2009 01:43 PM - seezer
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 819082c6f9002505e9f2492f7fc75991768e719c.
